%global fontname impallari-raleway
%global fontconf 63-%{fontname}.conf

# https://github.com/impallari/Raleway
%global commit          6c67ab1f7aa65c442bd2745bb9d4ef1cd7bc01fa
%global commit_date     20161116
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           %{fontname}-fonts
Version:        3.0
Release:        2.git%{commit_date}.%{shortcommit}%{?dist}
Summary:        Elegant sans-serif typeface family
License:        OFL
URL:            https://github.com/impallari/Raleway

Source0:        %{url}/archive/%{commit}/%{fontname}-%{shortcommit}.tar.gz
Source1:        %{name}.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch

BuildRequires:  fontpackages-devel
BuildRequires:  libappstream-glib

Requires:       fontpackages-filesystem


%description
Raleway is an elegant sans-serif typeface family.

Initially designed by Matt McInerney as a single thin weight, it was
expanded into a 9 weight family by Pablo Impallari and Rodrigo
Fuenzalida in 2012 and iKerned by Igino Marini. In 2013 the Italics
were added.

It is a display face and the download features both old style and
lining numerals, standard and discretionary ligatures, a pretty complete
set of diacritics, as well as a stylistic alternate inspired by more
geometric sans-serif typefaces than its neo-grotesque inspired default
character set.


%prep
%setup -q -n Raleway-%{commit}


%build


%install
install -m 0755 -d %{buildroot}/%{_fontdir}

%global originals fonts/v3.000\ Fontlab/OTF

# Raleway Black
cp -pav '%{originals}/Raleway-Black-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Black.otf
cp -pav '%{originals}/Raleway-Black-Italic-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Black-Italic.otf

# Raleway Bold
cp -pav '%{originals}/Raleway-Bold-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Bold.otf
cp -pav '%{originals}/Raleway-Bold-Italic-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Bold-Italic.otf

# Raleway ExtraBold
cp -pav '%{originals}/Raleway-ExtraBold-Original.otf' %{buildroot}/%{_fontdir}/Raleway-ExtraBold.otf
cp -pav '%{originals}/Raleway-ExtraBold-Italic-Original.otf' %{buildroot}/%{_fontdir}/Raleway-ExtraBold-Italic.otf

# Raleway ExtraLight
cp -pav '%{originals}/Raleway-ExtraLight-Original.otf' %{buildroot}/%{_fontdir}/Raleway-ExtraLight.otf
cp -pav '%{originals}/Raleway-ExtraLight-Italic-Original.otf' %{buildroot}/%{_fontdir}/Raleway-ExtraLight-Italic.otf

# Raleway Light
cp -pav '%{originals}/Raleway-Light-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Light.otf
cp -pav '%{originals}/Raleway-Light-Italic-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Light-Italic.otf

# Raleway Medium
cp -pav '%{originals}/Raleway-Medium-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Medium.otf
cp -pav '%{originals}/Raleway-Medium-Italic-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Medium-Italic.otf

# Raleway Regular
cp -pav '%{originals}/Raleway-Regular-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Regular.otf
cp -pav '%{originals}/Raleway-Regular-Italic-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Regular-Italic.otf

# Raleway SemiBold
cp -pav '%{originals}/Raleway-SemiBold-Original.otf' %{buildroot}/%{_fontdir}/Raleway-SemiBold.otf
cp -pav '%{originals}/Raleway-SemiBold-Italic-Original.otf' %{buildroot}/%{_fontdir}/Raleway-SemiBold-Italic.otf

# Raleway Thin
cp -pav '%{originals}/Raleway-Thin-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Thin.otf
cp -pav '%{originals}/Raleway-Thin-Italic-Original.otf' %{buildroot}/%{_fontdir}/Raleway-Thin-Italic.otf


install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} %{buildroot}%{_fontconfig_confdir}/%{fontconf}


# Add AppStream metadata
mkdir -p %{buildroot}/%{_datadir}/appdata
cp -pav %{SOURCE2} %{buildroot}/%{_datadir}/appdata/%{fontname}.metainfo.xml


%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{fontname}.metainfo.xml


%global fontnames Black,Black-Italic,Bold,Bold-Italic,ExtraBold,ExtraBold-Italic,ExtraLight,ExtraLight-Italic,Light,Light-Italic,Medium,Medium-Italic,Regular,Regular-Italic,SemiBold,SemiBold-Italic,Thin,Thin-Italic


%_font_pkg -f %{fontconf} Raleway-{%{fontnames}}.otf

%license OFL.txt

%{_datadir}/appdata/%{fontname}.metainfo.xml


%changelog
* Sat Nov 11 2017 Fabio Valentini <decathorpe@gmail.com> - 3.0-2.git20161116.6c67ab1
- Fix SemiBold fonts installation.

* Sun Mar 12 2017 Fabio Valentini <decathorpe@gmail.com> - 3.0-1.git20161116.6c67ab1.1
- Added appstream metadata file.

* Sun Mar 12 2017 Fabio Valentini <decathorpe@gmail.com> - 3.0-1.git20161116.6c67ab1
- Initial package.

